* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, body {
    width: 100%;
    height: 100%;
    background-color: #000;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    touch-action: manipulation;
}
#game-container {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 500px; /* on desktop */
    display: flex;
    justify-content: center;
    align-items: center;
}
canvas {
    background-color: #4ec0ca; /* Sky blue */
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain; /* ensures aspect ratio is maintained */
}
